Re: Need a Python 3.8 virtual environment

2021-03-03 Thread Steven Robbins
Thank you so much to the many folks on debian-python who responded with instructions and pointers! On Wednesday, March 3, 2021 4:45:46 A.M. CST Julien Palard wrote: > As other told, the right way is probably to compile it yourself (or use > pyenv, but I don't like pyenv "shims", I prefer to

Re: How can I override module name in autopkgtest-pkg-python

2021-03-03 Thread Paul Wise
On Wed, Mar 3, 2021 at 8:12 PM Andreas Tille wrote: > I worked on the package python-cython-blis[1] FYI, upstream is very hostile towards having their software in Debian so I suggest you cease packaging this and anything that depends on it: https://github.com/explosion/cython-blis/issues/32

Re: How can I override module name in autopkgtest-pkg-python

2021-03-03 Thread Emmanuel Arias
I note that my last mail can be confuse The use of debian/tests/pkg-python/import-name is deprecated. But the use of debian/tests/autopkgtest-pkg-python.conf is mentioned on man autodep8. So this can be used. On Wed, Mar 3, 2021 at 7:15 PM Emmanuel Arias wrote: > Hi, > > Maybe this can be

Re: How can I override module name in autopkgtest-pkg-python

2021-03-03 Thread Emmanuel Arias
Hi, Maybe this can be useful [0] but that is deprecated. You can create debian/tests/autopkgtest-pkg-python.conf file and use import_name variable to change the name. Here an example [1] [0] https://salsa.debian.org/ci-team/autodep8/-/merge_requests/17 [1]

Re: How can I override module name in autopkgtest-pkg-python

2021-03-03 Thread Gregor Riepl
> autopkgtest [19:46:36]: test autodep8-python3: set -e ; for py in > $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with > $py:" ; $py -c "import cython_blis; print(cython_blis)" ; done > autopkgtest [19:46:36]: test autodep8-python3: [--- > Testing

Re: Salsa access

2021-03-03 Thread Louis-Philippe Véronneau
On 2021-03-03 07 h 44, Stephan Lachnit wrote: > Dear team members, > > boolean.py is a python package that just landed in Unstable. > I would like to transfer the repo from my namespace to the team namespace, > since the team is also named as maintainer. > > Can someone give me maintainer access

joining the team

2021-03-03 Thread Daniel Milde
Hello Pythonistas, I would like to join the Python team. I help maintaining some Golang packages and would like to help maintaining Python packages as well since Python is my primary language of daily use. I have read the policy and I agree. My salsa login is dundee. I would be glad for some

How can I override module name in autopkgtest-pkg-python

2021-03-03 Thread Andreas Tille
Hi, I worked on the package python-cython-blis[1] (there is no specific reason to have it in Debian Science scope - I just found an existing repository there and continued with this). The package works nicely - but the autopkgtest (in Salsa CI[2] does not): autopkgtest [19:46:36]: test

Re: Need a Python 3.8 virtual environment

2021-03-03 Thread Karthik
On Wed, Mar 3, 2021 at 8:56 AM Steven Robbins wrote: > > Hi, > > I'm trying to use a (non-Debian) python system built on python 3.8. Debian's > default is currently 3.9 so I am advised to use a virtual environment. Being > a newbie, I searched around and found a writeup covering several

Re: Need a Python 3.8 virtual environment

2021-03-03 Thread Matthias Klose
On 3/3/21 6:56 PM, Andrey Rahmatullin wrote: > On Wed, Mar 03, 2021 at 05:39:04PM +, Stefano Rivera wrote: >> You need python3.8-venv. > Which doesn't exist, at least in the current repos. you rebuild it from python3-stdlib-extensions. but yes, the binaries don't exist in the archive.

Re: Need a Python 3.8 virtual environment

2021-03-03 Thread Andrey Rahmatullin
On Wed, Mar 03, 2021 at 05:39:04PM +, Stefano Rivera wrote: > You need python3.8-venv. Which doesn't exist, at least in the current repos. -- WBR, wRAR signature.asc Description: PGP signature

Re: Need a Python 3.8 virtual environment

2021-03-03 Thread Stefano Rivera
Hi Steven (2021.03.03_03:17:36_+) > steve@riemann:/tmp$ python3.8 -m venv blah38 > The virtual environment was not created successfully because ensurepip is not > available. On Debian/Ubuntu systems, you need to install the python3-venv > package using the following command. > > apt-get

Re: Need a Python 3.8 virtual environment

2021-03-03 Thread Jeremy Stanley
On 2021-03-03 10:45:46 + (+), Julien Palard wrote: [...] > I'm using a bash function [1] to easily recompile needed Pythons (I test > some projects with Python 3.5 to 3.9), but it's not that hard without my > bash function: [...] This is pretty much identical to how I tackle it too,

Re: Need a Python 3.8 virtual environment

2021-03-03 Thread Andrey Rahmatullin
On Wed, Mar 03, 2021 at 08:32:01AM -0500, Yaroslav Halchenko wrote: > > I'm trying to use a (non-Debian) python system built on python 3.8. > > Debian's > > default is currently 3.9 so I am advised to use a virtual environment. > > Being > > a newbie, I searched around and found a writeup

Re: Need a Python 3.8 virtual environment

2021-03-03 Thread Yaroslav Halchenko
On Tue, 02 Mar 2021, Steven Robbins wrote: > Hi, > I'm trying to use a (non-Debian) python system built on python 3.8. Debian's > default is currently 3.9 so I am advised to use a virtual environment. > Being > a newbie, I searched around and found a writeup covering several different >

Salsa access

2021-03-03 Thread Stephan Lachnit
Dear team members, boolean.py is a python package that just landed in Unstable. I would like to transfer the repo from my namespace to the team namespace, since the team is also named as maintainer. Can someone give me maintainer access so I can move it? Regards, Stephan

Re: Need a Python 3.8 virtual environment

2021-03-03 Thread Julien Palard
Le 2021-03-03 à 04:17, Steven Robbins a écrit : > I'm trying to use a (non-Debian) python system built on python 3.8. Debian's > default is currently 3.9 so I am advised to use a virtual environment. As other told, the right way is probably to compile it yourself (or use pyenv, but I don't like

Re: Need a Python 3.8 virtual environment

2021-03-03 Thread Nicolas Chauvat
Hi Steven, On Tue, Mar 02, 2021 at 09:17:36PM -0600, Steven Robbins wrote: > I'm trying to use a (non-Debian) python system built on python 3.8. Debian's > ... > Is there something I've missed? Do you know https://github.com/saghul/pythonz ? I do not use it myself, but a colleague told me